/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

// $Id: RedeployUnitTestCase.java,v 1.1.1.1.4.1 2004/08/09 09:54:32 tdiesler Exp $

package org.jboss.test.jbossnet.ejbsimple;

import junit.framework.Test;

/**
 * Tests remote accessibility of stateless ejb bean after redeploy
 * @since 11.11.2003
 * @author <a href="mailto:Christoph.Jung@infor.de">Christoph G. Jung</a>
 * @version $Revision: 1.1.1.1.4.1 $
 */

public class RedeployUnitTestCase extends HelloUnitTestCase
{

   // Constructors --------------------------------------------------
   public RedeployUnitTestCase(String name)
   {
      super(name);
   }

   /** this is to deploy the whole ear */
   public static Test suite() throws Exception
   {
      return getDeploySetup(RedeployUnitTestCase.class, "wsejbsimple.ear");
   }

   /** standalone */
   public static void main(String[] args)
   {
      junit.textui.TestRunner.run(RedeployUnitTestCase.class);
   }

}
